diff --git a/tests/test_ctl.py b/tests/test_ctl.py
index 6f2af81ce..5ba8a9553 100644
--- a/tests/test_ctl.py
+++ b/tests/test_ctl.py
@@ -28,22 +28,11 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 @pytest.fixture
 def pub():
-    yield create_temporary_pub()
-    clean_temporary_pub()
-
-
-@pytest.fixture
-def sql_pub():
-    yield create_temporary_pub(sql_mode=True)
-    clean_temporary_pub()
-
-
-@pytest.fixture
-def two_pubs(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     pub.cfg['language'] = {'language': 'en'}
     pub.write_cfg()
-    return pub
+    yield pub
+    clean_temporary_pub()
 
 
 def teardown_module(module):
@@ -84,11 +73,11 @@ def test_collectstatic(pub, tmp_path):
     assert os.path.islink(required_link) and os.path.exists(required_link)
 
 
-def test_migrate(two_pubs):
+def test_migrate(pub):
     CmdMigrate().handle()
 
 
-def test_migrate_schemas(two_pubs):
+def test_migrate_schemas(pub):
     CmdMigrateSchemas().handle()
 
 
@@ -222,7 +211,7 @@ def test_trigger_jumps(pub):
 
 
 def test_delete_tenant_with_sql(freezer):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     delete_cmd = CmdDeleteTenant()
 
     assert os.path.isdir(pub.app_dir)
@@ -249,7 +238,7 @@ def test_delete_tenant_with_sql(freezer):
     assert len(cur.fetchall()) == 1
 
     clean_temporary_pub()
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     sub_options = sub_options_class(True)
     delete_cmd.delete_tenant(pub, sub_options, [])
@@ -276,7 +265,7 @@ def test_delete_tenant_with_sql(freezer):
     assert cur.fetchall()
 
     clean_temporary_pub()
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     cleanup_connection()
     sub_options = sub_options_class(True)
@@ -301,7 +290,7 @@ def test_delete_tenant_with_sql(freezer):
     pgconn.close()
 
     clean_temporary_pub()
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     cleanup_connection()
 
     sub_options = sub_options_class(False)
@@ -375,21 +364,21 @@ def test_delete_tenant_without_sql():
     clean_temporary_pub()
 
 
-def test_rebuild_indexes(two_pubs):
+def test_rebuild_indexes(pub):
     form = FormDef()
     form.name = 'example'
     form.store()
 
-    assert os.listdir(os.path.join(two_pubs.app_dir, 'formdefs-url_name')) == ['example']
+    assert os.listdir(os.path.join(pub.app_dir, 'formdefs-url_name')) == ['example']
 
-    os.unlink(os.path.join(two_pubs.app_dir, 'formdefs-url_name', 'example'))
-    os.symlink('../formdefs/1', os.path.join(two_pubs.app_dir, 'formdefs-url_name', 'XXX'))
-    rebuild_vhost_indexes(two_pubs, destroy=False)
-    assert 'example' in os.listdir(os.path.join(two_pubs.app_dir, 'formdefs-url_name'))
-    assert 'XXX' in os.listdir(os.path.join(two_pubs.app_dir, 'formdefs-url_name'))
+    os.unlink(os.path.join(pub.app_dir, 'formdefs-url_name', 'example'))
+    os.symlink('../formdefs/1', os.path.join(pub.app_dir, 'formdefs-url_name', 'XXX'))
+    rebuild_vhost_indexes(pub, destroy=False)
+    assert 'example' in os.listdir(os.path.join(pub.app_dir, 'formdefs-url_name'))
+    assert 'XXX' in os.listdir(os.path.join(pub.app_dir, 'formdefs-url_name'))
 
-    rebuild_vhost_indexes(two_pubs, destroy=True)
-    assert os.listdir(os.path.join(two_pubs.app_dir, 'formdefs-url_name')) == ['example']
+    rebuild_vhost_indexes(pub, destroy=True)
+    assert os.listdir(os.path.join(pub.app_dir, 'formdefs-url_name')) == ['example']
 
 
 def test_runscript(pub):
@@ -499,7 +488,7 @@ def test_ctl_no_command(capsys):
         sys.argv = old_argv
 
 
-def test_dbshell(sql_pub):
+def test_dbshell(pub):
 
     with pytest.raises(CommandError):
         call_command('dbshell')  # missing tenant name
@@ -508,7 +497,7 @@ def test_dbshell(sql_pub):
         call.side_effect = lambda *args, **kwargs: 0
         call_command('dbshell', '--domain', 'example.net')
         assert call.call_args[0][-1][0] == 'psql'
-        assert call.call_args[0][-1][-1] == sql_pub.cfg['postgresql']['database']
+        assert call.call_args[0][-1][-1] == pub.cfg['postgresql']['database']
 
 
 def test_makemessages(pub):
diff --git a/tests/test_datasource.py b/tests/test_datasource.py
index 22329c4e6..86f5ff5ae 100644
--- a/tests/test_datasource.py
+++ b/tests/test_datasource.py
@@ -23,7 +23,7 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
 
diff --git a/tests/test_datasource_users.py b/tests/test_datasource_users.py
index dab4f9044..65b3fb248 100644
--- a/tests/test_datasource_users.py
+++ b/tests/test_datasource_users.py
@@ -10,7 +10,7 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 @pytest.fixture
 def pub():
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
     return pub
diff --git a/tests/test_fc_auth.py b/tests/test_fc_auth.py
index 7de756e4c..19b722666 100644
--- a/tests/test_fc_auth.py
+++ b/tests/test_fc_auth.py
@@ -54,7 +54,7 @@ def base64url_encode(v):
 def setup_module(module):
     cleanup()
     global pub
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
 
 def setup_user_profile(pub):
diff --git a/tests/test_formdata.py b/tests/test_formdata.py
index 842f5898e..4cc33c30d 100644
--- a/tests/test_formdata.py
+++ b/tests/test_formdata.py
@@ -41,8 +41,8 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 
 @pytest.fixture
-def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+def pub():
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/test_formdef.py b/tests/test_formdef.py
index 48e0014fa..51f0c738e 100644
--- a/tests/test_formdef.py
+++ b/tests/test_formdef.py
@@ -29,8 +29,8 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 
 @pytest.fixture
-def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+def pub():
+    pub = create_temporary_pub()
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
     pub.cfg['language'] = {'language': 'en'}
diff --git a/tests/test_logged_errors.py b/tests/test_logged_errors.py
index 45e657fc9..c7008e819 100644
--- a/tests/test_logged_errors.py
+++ b/tests/test_logged_errors.py
@@ -5,7 +5,7 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 @pytest.fixture
 def pub(request):
-    return create_temporary_pub(sql_mode=True)
+    return create_temporary_pub()
 
 
 def teardown_module(module):
diff --git a/tests/test_mail_templates.py b/tests/test_mail_templates.py
index 226c1b265..37feb8767 100644
--- a/tests/test_mail_templates.py
+++ b/tests/test_mail_templates.py
@@ -283,7 +283,7 @@ def test_mail_templates_category(pub, superuser):
 
 
 def test_workflow_send_mail_template_with_sql(superuser, emails):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
     pub._set_request(req)
diff --git a/tests/test_publisher.py b/tests/test_publisher.py
index 4c71b6aa2..bfa8cccd2 100644
--- a/tests/test_publisher.py
+++ b/tests/test_publisher.py
@@ -560,14 +560,14 @@ def test_clean_thumbnails():
 
 
 def test_clean_loggederrors_no_sql():
-    pub = create_temporary_pub(sql_mode=False)
+    pub = create_temporary_pub(pickle_mode=True)
 
     # do nothing, no error
     pub.clean_loggederrors()
 
 
 def test_clean_loggederrors():
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     error1 = pub.loggederror_class()
     error1.first_occurence_timestamp = datetime.datetime.now() - datetime.timedelta(seconds=1)
diff --git a/tests/test_register.py b/tests/test_register.py
index eb50992ce..7fa97284e 100644
--- a/tests/test_register.py
+++ b/tests/test_register.py
@@ -12,7 +12,7 @@ from .utilities import clean_temporary_pub, create_temporary_pub, get_app
 
 @pytest.fixture
 def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
 
     req = HTTPRequest(None, {'SCRIPT_NAME': '/', 'SERVER_NAME': 'example.net'})
     pub.set_app_dir(req)
diff --git a/tests/test_rootdirectory.py b/tests/test_rootdirectory.py
index 76ba7845f..0b3f098e8 100644
--- a/tests/test_rootdirectory.py
+++ b/tests/test_rootdirectory.py
@@ -29,7 +29,7 @@ def pub():
 
 @pytest.fixture
 def pickle_pub():
-    yield create_temporary_pub(sql_mode=False)
+    yield create_temporary_pub(pickle_mode=True)
     clean_temporary_pub()
 
 
diff --git a/tests/test_saml_auth.py b/tests/test_saml_auth.py
index d111d558d..88009aeb1 100644
--- a/tests/test_saml_auth.py
+++ b/tests/test_saml_auth.py
@@ -44,8 +44,8 @@ role_uuid2 = str(uuid.uuid4())
 
 
 @pytest.fixture
-def pub(request):
-    pub = create_temporary_pub(sql_mode=True)
+def pub():
+    pub = create_temporary_pub()
 
     if not pub.cfg:
         pub.cfg = {}
diff --git a/tests/test_snapshots.py b/tests/test_snapshots.py
index 3c104efa1..3dcde6c7e 100644
--- a/tests/test_snapshots.py
+++ b/tests/test_snapshots.py
@@ -24,11 +24,8 @@ from .utilities import clean_temporary_pub, create_temporary_pub, get_app, login
 
 
 @pytest.fixture
-def pub(request, emails):
-    pub = create_temporary_pub(
-        sql_mode=True,
-        lazy_mode=True,
-    )
+def pub(emails):
+    pub = create_temporary_pub(lazy_mode=True)
     pub.cfg['identification'] = {'methods': ['password']}
     pub.cfg['language'] = {'language': 'en'}
     pub.write_cfg()
diff --git a/tests/test_sql.py b/tests/test_sql.py
index 92d7fff40..77182f205 100644
--- a/tests/test_sql.py
+++ b/tests/test_sql.py
@@ -22,7 +22,7 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 @pytest.fixture
 def pub(request):
-    return create_temporary_pub(sql_mode=True)
+    return create_temporary_pub()
 
 
 @pytest.fixture
diff --git a/tests/test_token.py b/tests/test_token.py
index 8a7bccc2b..237b297a7 100644
--- a/tests/test_token.py
+++ b/tests/test_token.py
@@ -13,7 +13,7 @@ from .utilities import create_temporary_pub
 
 @pytest.fixture
 def pub(request):
-    return create_temporary_pub(sql_mode=True)
+    return create_temporary_pub()
 
 
 def test_migrate_to_sql(pub):
diff --git a/tests/test_tracking_code.py b/tests/test_tracking_code.py
index 3bf7eff33..392896ac7 100644
--- a/tests/test_tracking_code.py
+++ b/tests/test_tracking_code.py
@@ -7,7 +7,7 @@ from .utilities import clean_temporary_pub, create_temporary_pub
 
 @pytest.fixture
 def pub(request):
-    return create_temporary_pub(sql_mode=True)
+    return create_temporary_pub()
 
 
 def teardown_module(module):
diff --git a/tests/test_upload_storage.py b/tests/test_upload_storage.py
index c9f1bd46c..9df29c6e7 100644
--- a/tests/test_upload_storage.py
+++ b/tests/test_upload_storage.py
@@ -23,7 +23,6 @@ def pytest_generate_tests(metafunc):
 @pytest.fixture
 def pub(request, emails):
     pub = create_temporary_pub(
-        sql_mode=bool('sql' in request.param),
         lazy_mode=bool('lazy' in request.param),
     )
     pub.cfg['identification'] = {'methods': ['password']}
diff --git a/tests/test_wscall.py b/tests/test_wscall.py
index fc7873437..367b0abc9 100644
--- a/tests/test_wscall.py
+++ b/tests/test_wscall.py
@@ -180,7 +180,7 @@ def test_webservice_delete(http_requests, pub):
 @pytest.mark.parametrize('notify_on_errors', [True, False])
 @pytest.mark.parametrize('record_on_errors', [True, False])
 def test_webservice_on_error_with_sql(http_requests, emails, notify_on_errors, record_on_errors):
-    pub = create_temporary_pub(sql_mode=True)
+    pub = create_temporary_pub()
     pub.cfg['debug'] = {'error_email': 'errors@localhost.invalid'}
     pub.write_cfg()
 
diff --git a/tests/utilities.py b/tests/utilities.py
index ac1f913bd..17800b24e 100644
--- a/tests/utilities.py
+++ b/tests/utilities.py
@@ -43,7 +43,7 @@ class KnownElements:
 known_elements = KnownElements()
 
 
-def create_temporary_pub(sql_mode=True, legacy_theme_mode=False, lazy_mode=False):
+def create_temporary_pub(pickle_mode=False, legacy_theme_mode=False, lazy_mode=False):
     if get_publisher():
         get_publisher().cleanup()
         cleanup()
@@ -51,20 +51,20 @@ def create_temporary_pub(sql_mode=True, legacy_theme_mode=False, lazy_mode=False
         APP_DIR = known_elements.legacy_theme_app_dir
     elif lazy_mode and known_elements.lazy_app_dir:
         APP_DIR = known_elements.lazy_app_dir
-    elif sql_mode and known_elements.sql_app_dir and not lazy_mode:
-        APP_DIR = known_elements.sql_app_dir
-    elif not (legacy_theme_mode or lazy_mode or sql_mode) and known_elements.pickle_app_dir:
+    elif pickle_mode and known_elements.pickle_app_dir:
         APP_DIR = known_elements.pickle_app_dir
+    elif not (legacy_theme_mode or lazy_mode or pickle_mode) and known_elements.sql_app_dir:
+        APP_DIR = known_elements.sql_app_dir
     else:
         APP_DIR = tempfile.mkdtemp()
         if legacy_theme_mode:
             known_elements.legacy_theme_app_dir = APP_DIR
         elif lazy_mode:
             known_elements.lazy_app_dir = APP_DIR
-        elif sql_mode and not lazy_mode:
-            known_elements.sql_app_dir = APP_DIR
-        else:
+        elif pickle_mode:
             known_elements.pickle_app_dir = APP_DIR
+        else:
+            known_elements.sql_app_dir = APP_DIR
 
     compat.CompatWcsPublisher.APP_DIR = APP_DIR
     compat.CompatWcsPublisher.DATA_DIR = os.path.abspath(
@@ -76,7 +76,7 @@ def create_temporary_pub(sql_mode=True, legacy_theme_mode=False, lazy_mode=False
     pub.app_dir = os.path.join(APP_DIR, 'example.net')
     pub.site_charset = 'utf-8'
 
-    if sql_mode:
+    if not pickle_mode:
         pub.user_class = sql.SqlUser
         pub.role_class = sql.Role
         pub.token_class = sql.Token
@@ -117,8 +117,6 @@ def create_temporary_pub(sql_mode=True, legacy_theme_mode=False, lazy_mode=False
         fd.write('workflow-resubmit-action = true\n')
         if lazy_mode:
             fd.write('force-lazy-mode = true\n')
-        if sql_mode:
-            fd.write('postgresql = true\n')
 
     # make sure site options are not cached
     pub.site_options = None
@@ -138,7 +136,7 @@ def create_temporary_pub(sql_mode=True, legacy_theme_mode=False, lazy_mode=False
     pub.write_cfg()
 
     if not created:
-        if sql_mode:
+        if not pickle_mode:
             pub.cfg['postgresql'] = {'database': known_elements.sql_db_name, 'user': os.environ['USER']}
             pub.loggederror_class.wipe()
         pub.write_cfg()
@@ -146,7 +144,7 @@ def create_temporary_pub(sql_mode=True, legacy_theme_mode=False, lazy_mode=False
 
     os.symlink(os.path.join(os.path.dirname(__file__), 'templates'), os.path.join(pub.app_dir, 'templates'))
 
-    if sql_mode:
+    if not pickle_mode:
         conn = psycopg2.connect(user=os.environ['USER'], dbname='postgres')
         conn.set_isolation_level(psycopg2.extensions.ISOLATION_LEVEL_AUTOCOMMIT)
         i = 0
